/***************************************************************************
                    Information Manager Header ( infomanager.h )
                -----------------------------------------
	begin      : 2011/02/16
	copyright  : (C) 2005 SolutionBox Inc.
	author     : Service 1 Team
	email      : svc1@solbox.com
	version    : 3.0.1

	CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of SolutionBox Inc.
***************************************************************************/

#ifndef __INFORMATION_MANAGER_H__
#define __INFORMATION_MANAGER_H__

class CInfoManager 
{
public:
	CInfoManager();
	~ CInfoManager();

	bool	loadInfo( DataBase &db, const char* servicid );
	bool	changDepth( DataBase &db, int changdepth );

	inline RCUDINFOLIST& getInfolist ( void ) { return m_infolist; }
// function
private:
	inline bool	isChanged( int depth, int changdepth ) { return depth != changdepth; }
	
// value
private:
	RCUDINFOLIST m_infolist;

};

#endif // __INFORMATION_MANAGER_H__
